Name:           ocspd
Version:        3.1.3
Release:        1%{?dist}
Summary:        OpenCA OCSP Daemon

License:        OpenCA License (BSD Style)
URL:            https://github.com/openca/openca-%{name}
Source0:        https://github.com/openca/openca-%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  libpki-devel
BuildRequires:  libxml2-devel
BuildRequires:  perl-podlators
BuildRequires:  openldap-devel
BuildRequires:  openssl-devel

Requires:       libpki
Requires:       libxml2
Requires:       openldap
Requires:       openssl


%description
The openca-ocspd is an RFC2560 compliant OCSPD responder. It can
be used to verify the status of a certificate using OCSP clients
(such as Mozilla/Firefox/Thunderbird).


%package devel
Summary: Development tools for OpenCA OCSP Daemon
Requires: %{name} == %{version}

%description devel
Includes and documentation for the OpenCA OCSP Daemon.


%prep
%setup -q -n openca-%{name}-%{version}

%build
%configure
%make_build

%install
%make_install
%{__rm} %{buildroot}%{_bindir}/test.sh

%check

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%{_prefix}/etc/%{name}
%{_prefix}/etc/init.d/%{name}
%{_bindir}/%{name}-genreq.sh
%{_mandir}/man*/%{name}*.gz
%{_sbindir}/%{name}

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/openca-%{name}.pc

%changelog
* Tue Mar 18 2025 Daniel Uvehag <daniel.uvehag@gmail.com> - 3.1.3-1
- Package upstream 3.1.3
